コンテンツへスキップ

Stepx Edit2

統合

モデルID stepx-edit2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stepx-edit2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.20 200 APIクレジット · ≈ ₽21.09 このページで実行

APIキーを取得
StepFun 画像編集

抽象的な編集向けに、任意の思考およびリフレクション処理に対応する指示ベースの画像エディター

StepFun · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

画像生成を導くプロンプト。

•必須 image_url
ファイルをドロップ、または

生成元を画像URLで指定します。入力画像とマスクのサイズが同一であることを確認してください。

詳細設定 negative_prompt · output_format · guidance_scale · num_inference_steps · seed · enable_thinking_mode · enable_reflection_mode · enable_safety_checker
デフォルト

除外する画像の内容を指定するネガティブプロンプト。色、オブジェクト、景色、細部などを指定できます。例:口ひげ、ぼけ、低解像度。

output_format デフォルト jpeg

結果の画像のファイル形式。

デフォルト 6

モデルのプロンプト追従度を決めるTrue CFGスケール。

デフォルト 50

推論ステップ数。50が推奨されます。

再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。

POST /run/stepx-edit2?wait=20 見積もり → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stepx-edit2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Stepx Edit2について

`image_url`の画像を`prompt`に従って編集します。`enable_thinking_mode`はマルチモーダル言語モデルで抽象的な指示を解釈し、`enable_reflection_mode`は結果を確認して意図しない変更を修正します。レスポンスには`reformat_prompt`、`think_info`、`best_info`を含められます。ステップは最大100(デフォルト50)で、出力はjpegまたはpngです。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
画像生成を導くプロンプト。
image_url必須 image
型url · image
生成元を画像URLで指定します。入力画像とマスクのサイズが同一であることを確認してください。
negative_prompt任意
型string
デフォルト
除外する画像の内容を指定するネガティブプロンプト。色、オブジェクト、景色、細部などを指定できます。例:口ひげ、ぼけ、低解像度。
seed任意
型integer | null
再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。
guidance_scale任意
型number
デフォルト6
0 – 20
モデルのプロンプト追従度を決めるTrue CFGスケール。
num_inference_steps任意
型integer
デフォルト50
1 – 100
推論ステップ数。50が推奨されます。
enable_thinking_mode任意
型boolean
デフォルトtrue
思考モードを有効にし、マルチモーダル言語モデルの知識を編集用の抽象的な指示に活用します。
enable_reflection_mode任意
型boolean
デフォルトtrue
Reflectionモードでは結果を調べて意図しない変更を修正し、編集を停止できるか確認します。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェッカーの有効化。true でチェックを有効にします。
output_format任意
型enum
デフォルトjpeg
jpegpng
結果の画像のファイル形式。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stepx-edit2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string",
    "reformat_prompt": "string",
    "think_info": [
      "string"
    ],
    "best_info": [
      {}
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, width, height, content_type}モデルが生成した画像。
timings
object
seed
integer画像生成シード。入力でシードを省略した場合はランダムに選ばれた値を含み、それ以外では指定値を繰り返します。
has_nsfw_concepts
array of boolean生成画像に NSFW 概念が含まれるかどうかを示します。
prompt
string画像生成時に使用するプロンプト。
reformat_prompt
string | null思考モードが有効な場合、モデルが指示をどう理解したかをレスポンスに含めます。それ以外ではこの解釈を利用できません。
think_info
array of string | null推論プロセスの詳細。思考モードが有効な場合のみ利用できます。
best_info
array of object | nullReflectionによる分析。Reflectionモードが有効な場合のみ利用できます。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/stepx-edit2.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt